Subject: Re: [PATCH] [TRIVIAL] prism54/islpci_eth.c: dev_kfree_skb in irq context

From: Graham Gower <[email-masked]>
Date: Tue, 3 Jan 2006 22:49:33 +1030

012345678901234567890123456789012345678901234567890123456789

On 03/01/06, Roger While <[email-masked]> wrote:
> What makes you think this is in IRQ context ?
>

Er... yeah. I must have been off my nut when I wrote that comment.
A more apt comment should perhaps have been "dev_kfree_skb shouldn't be
used with interrupts disabled". Forgive my noobness, I'm a kernel patch virgin.

My logs were starting to fill with messages exatcly like that mentioned here:
http://patchwork.netfilter.org/netfilter-devel/patch.pl?id=2840

In any event, the patch at the end of that link was never applied (it doesn't
fix the other call to dev_kfree_skb). After applying my patch, I've not had any
more messages in the logs.

Graham